Package ru.bitel.bgbilling.modules.inet.server.ip

# Class InetServIpData

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.ip.InetServIpData

public class InetServIpData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetServIpData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAgentDeviceId()`
  `List<ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime>`
  `getChildrenServRuntimes()`
  `ru.bitel.bgbilling.apps.inet.access.InetConnectionManager`
  `getConnectionManager()`
  `ru.bitel.bgbilling.modules.inet.server.radius.InetNas`
  `getInetNas()`
  `InetServ`
  `getInetServ()`
  `ru.bitel.bgbilling.modules.inet.server.runtime.InetServTypeRuntime`
  `getInetServTypeRuntime()`
  `String`
  `getIpRealm()`
  `Set<Integer>`
  `getOptionSet()`
  `RadiusListenerWorker<?>`
  `getRadiusListenerWorker()`
  `String`
  `getUsername()`
  `boolean`
  `isFromRealmOnly()`
  `void`
  `setAgentDeviceId(int agentDeviceId)`
  `void`
  `setChildrenServRuntimes(List<ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime> childrenServRuntimes)`
  `void`
  `setConnectionManager(ru.bitel.bgbilling.apps.inet.access.InetConnectionManager connectionManager)`
  `void`
  `setFromRealmOnly(boolean fromRealmOnly)`
  `void`
  `setInetNas(ru.bitel.bgbilling.modules.inet.server.radius.InetNas inetNas)`
  `void`
  `setInetServ(InetServ inetServ)`
  `void`
  `setInetServTypeRuntime(ru.bitel.bgbilling.modules.inet.server.runtime.InetServTypeRuntime inetServTypeRuntime)`
  `void`
  `setIpRealm(String ipRealm)`
  `void`
  `setOptionSet(Set<Integer> optionSet)`
  `void`
  `setRadiusListenerWorker(RadiusListenerWorker<?> req)`
  `void`
  `setUsername(String username)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetServIpData

    public InetServIpData()

- ## Method Details

  - ### getAgentDeviceId

    public int getAgentDeviceId()

  - ### setAgentDeviceId

    public void setAgentDeviceId(int agentDeviceId)

  - ### isFromRealmOnly

    public boolean isFromRealmOnly()

  - ### setFromRealmOnly

    public void setFromRealmOnly(boolean fromRealmOnly)

  - ### getIpRealm

    public String getIpRealm()

  - ### setIpRealm

    public void setIpRealm(String ipRealm)

  - ### getUsername

    public String getUsername()

  - ### setUsername

    public void setUsername(String username)

  - ### getInetNas

    public ru.bitel.bgbilling.modules.inet.server.radius.InetNas getInetNas()

  - ### setInetNas

    public void setInetNas(ru.bitel.bgbilling.modules.inet.server.radius.InetNas inetNas)

  - ### getInetServ

    public InetServ getInetServ()

  - ### setInetServ

    public void setInetServ(InetServ inetServ)

  - ### getOptionSet

    public Set<Integer> getOptionSet()

  - ### setOptionSet

    public void setOptionSet(Set<Integer> optionSet)

  - ### getRadiusListenerWorker

    public RadiusListenerWorker<?> getRadiusListenerWorker()

  - ### setRadiusListenerWorker

    public void setRadiusListenerWorker(RadiusListenerWorker<?> req)

  - ### getInetServTypeRuntime

    public ru.bitel.bgbilling.modules.inet.server.runtime.InetServTypeRuntime getInetServTypeRuntime()

  - ### setInetServTypeRuntime

    public void setInetServTypeRuntime(ru.bitel.bgbilling.modules.inet.server.runtime.InetServTypeRuntime inetServTypeRuntime)

  - ### getConnectionManager

    public ru.bitel.bgbilling.apps.inet.access.InetConnectionManager getConnectionManager()

  - ### setConnectionManager

    public void setConnectionManager(ru.bitel.bgbilling.apps.inet.access.InetConnectionManager connectionManager)

  - ### getChildrenServRuntimes

    public List<ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime> getChildrenServRuntimes()

  - ### setChildrenServRuntimes

    public void setChildrenServRuntimes(List<ru.bitel.bgbilling.modules.inet.server.runtime.InetServRuntime> childrenServRuntimes)